This API can be used to get information about a single model template by ID. To use this API, pass in the id that was returned from your Create Model Template API call as a path parameter.
Review the response schema to see the fields that will be returned.
GET
/
v4
/
model-templates
/
{model_template_id}
Get Model Template
curl --request GET \ --url https://api.egp.scale.com/v4/model-templates/{model_template_id}
An enum representing the different types of model endpoint types supported.
Attributes:
SYNC: Denotes that the model endpoint type is sync.
ASYNC: Denotes that the model endpoint type is async.
STREAMING: Denotes that the model endpoint type is streaming.
BATCH: Denotes that the model endpoint type is batch.
Available options:
SYNC,
ASYNC,
STREAMING,
BATCH
model_type
enum<string>
required
An enum representing the different types of models supported.
Attributes:
COMPLETION: Denotes that the model type is completion.
CHAT_COMPLETION: Denotes that the model type is chat completion.
AGENT: Denotes that the model type is agent.
EMBEDDING: Denotes that the model type is embedding.
RERANKING: Denotes that the model type is reranking.
GENERIC: Denotes that the model type is generic.
BUNDLE: "Not to be used directly - type to surface a model bundle in the UI - TODO: Explicitly type a bundle
Available options:
COMPLETION,
CHAT_COMPLETION,
AGENT,
EMBEDDING,
RERANKING,
GENERIC,
BUNDLE
vendor_configuration
LaunchVendorConfiguration · object
required
Configuration for launching a model using the Launch service which is an internal and
self-hosted service developed by Scale that deploys models on Kubernetes.
Attributes:
vendor: The vendor of the model template
bundle_config: The bundle configuration of the model template
endpoint_config: The endpoint configuration of the model template
Show child attributes
id
string
required
The unique identifier of the entity.
created_at
string<date-time>
required
The date and time when the entity was created in ISO format.
account_id
string
required
The ID of the account that owns the given entity.
created_by_user_id
string
required
The user who originally created the entity.
created_by_identity_type
enum<string>
required
The type of identity that created the entity.
Available options:
user,
service_account
model_creation_parameters_schema
ParameterSchema · object | null
The field names and types of available parameter fields which may be specified during model creation
Show child attributes
model_request_parameters_schema
ParameterSchema · object | null
The field names and types of available parameter fields which may be specified in a model execution API's model_request_parameters field.
Show child attributes
endpoint_protocol
enum<string> | null
The name of the calling convention expected by the Launch model endpoint
Available options:
SGP,
COHERE,
VLLM
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Scale","colors":{"primary":"#3f2e7b","light":"#ca62ff","dark":"#3f2e7b"},"logo":{"light":"https://mintcdn.com/scalegp/YkQgtlZ7_jaCP1h0/logo/light.svg?fit=max\u0026auto=format\u0026n=YkQgtlZ7_jaCP1h0\u0026q=85\u0026s=3afcca56833a7bfb1c8bf1eec6176590","dark":"https://mintcdn.com/scalegp/YkQgtlZ7_jaCP1h0/logo/dark.svg?fit=max\u0026auto=format\u0026n=YkQgtlZ7_jaCP1h0\u0026q=85\u0026s=522975ce3d7a84c5946bc7f8a6702767"},"favicon":{"light":"https://mintcdn.com/scalegp/vT4TaGb2QZ2PoL0h/favicon-light.svg?fit=max\u0026auto=format\u0026n=vT4TaGb2QZ2PoL0h\u0026q=85\u0026s=9dcad04e938e90fdf4e9ecb28e5ad9f8","dark":"https://mintcdn.com/scalegp/vT4TaGb2QZ2PoL0h/favicon-dark.svg?fit=max\u0026auto=format\u0026n=vT4TaGb2QZ2PoL0h\u0026q=85\u0026s=f516033dd3f7c77f7f362c4f12a9508c"},"background":{"decoration":"windows"},"footer":{"socials":{"x":"https://x.com/scale_ai","facebook":"https://www.facebook.com/scaleapi","linkedin":"https://www.linkedin.com/company/scaleai"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"scalegp","hasAudioNarration":false,"actualSubdomain":"scalegp","customDomains":["docs.gp.scale.com"],"gitSource":{"type":"github","owner":"scaleapi","repo":"sgp-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6b0092995d432b68d8bcec99","clientVersion":"0.0.4248","searchFilterCounts":[{"language":"default","tag":"API Reference","count":235},{"language":"default","tag":"AgentOps API","count":141},{"language":"default","tag":"Guides","count":131},{"language":"default","tag":"Evaluations","count":72},{"language":"default","tag":"Agentex API","count":60},{"language":"default","tag":"Dex API","count":48},{"language":"default","tag":"Agents","count":40},{"language":"default","tag":"Evaluation Datasets","count":34},{"language":"default","tag":"Models","count":32},{"language":"default","tag":"Knowledge Bases","count":31}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"@font-face{font-family:'Aeonik';src:url('https://fonts.gstatic.com/s/inter/v18/UcC73FwrK3iLTeHuS_nVMrMxCp50SjIa1ZL7W0Q5nw.woff2');font-weight:normal;font-style:normal;font-display:swap}h1,h2,h3{font-family:'aeonik';letter-spacing:normal!important}"}]}
{"page":{"pagePath":"reference/v4/model-templates-v3-beta/get-model-template","slug":"/reference/v4/model-templates-v3-beta/get-model-template","pageMetadata":{"title":"Get Model Template","description":"### Description\nGets the details of a model template\n\n### Details\nThis API can be used to get information about a single model template by ID. To use this API, pass in the `id` that was returned from your Create Model Template API call as a path parameter.\n\nReview the response schema to see the fields that will be returned.","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/model-templates/{model_template_id}","href":"/reference/v4/model-templates-v3-beta/get-model-template","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n h3: \"h3\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.h3, {\n children: \"Description\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Gets the details of a model template\"\n }), \"\\n\", _jsx(_components.h3, {\n children: \"Details\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"This API can be used to get information about a single model template by ID. To use this API, pass in the \", _jsx(_components.code, {\n children: \"id\"\n }), \" that was returned from your Create Model Template API call as a path parameter.\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"Review the response schema to see the fields that will be returned.\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Model Template","description":"### Description\nGets the details of a model template\n\n### Details\nThis API can be used to get information about a single model template by ID. To use this API, pass in the `id` that was returned from your Create Model Template API call as a path parameter.\n\nReview the response schema to see the fields that will be returned.","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/model-templates/{model_template_id}","href":"/reference/v4/model-templates-v3-beta/get-model-template","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Model Templates V3 (Beta)"],"summary":"Get Model Template","description":"### Description\nGets the details of a model template\n\n### Details\nThis API can be used to get information about a single model template by ID. To use this API, pass in the `id` that was returned from your Create Model Template API call as a path parameter.\n\nReview the response schema to see the fields that will be returned.","operationId":"GET-V4-/model-templates/{model_template_id}","parameters":["900d4aad-feb3-4956-a1b7-31762980174a"],"responses":{"200":"9f28605a-8ab7-4bf0-b191-e6489aabd9a3","422":"bd9221ed-0e85-48e0-8794-f0a8ff614c66"},"method":"get","type":"path","servers":["d7da804a-61ba-45a0-9ede-fb5392d113cf"],"security":[],"path":"/v4/model-templates/{model_template_id}","baseUrlOptions":["https://api.egp.scale.com"],"title":"Get Model Template","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"900d4aad-feb3-4956-a1b7-31762980174a":{"name":"model_template_id","in":"path","required":true,"schema":{"type":"string","title":"Model Template Id","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"responses":{"9f28605a-8ab7-4bf0-b191-e6489aabd9a3":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"name":{"type":"string","title":"Name","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"endpoint_type":{"type":"string","enum":["SYNC","ASYNC","STREAMING","BATCH"],"title":"ModelEndpointType","description":"An enum representing the different types of model endpoint types supported.\n\nAttributes:\n SYNC: Denotes that the model endpoint type is sync.\n ASYNC: Denotes that the model endpoint type is async.\n STREAMING: Denotes that the model endpoint type is streaming.\n BATCH: Denotes that the model endpoint type is batch.","isRequired":true,"uniqueKey":"endpoint_type","typeLabel":"enum\u003cstring>"},"model_type":{"type":"string","enum":["COMPLETION","CHAT_COMPLETION","AGENT","EMBEDDING","RERANKING","GENERIC","BUNDLE"],"title":"ModelType","description":"An enum representing the different types of models supported.\n\nAttributes:\n COMPLETION: Denotes that the model type is completion.\n CHAT_COMPLETION: Denotes that the model type is chat completion.\n AGENT: Denotes that the model type is agent.\n EMBEDDING: Denotes that the model type is embedding.\n RERANKING: Denotes that the model type is reranking.\n GENERIC: Denotes that the model type is generic.\n BUNDLE: \"Not to be used directly - type to surface a model bundle in the UI - TODO: Explicitly type a bundle","isRequired":true,"uniqueKey":"model_type","typeLabel":"enum\u003cstring>"},"vendor_configuration":{"properties":{"bundle_config":{"properties":{"registry":{"type":"string","title":"Registry","isRequired":true,"uniqueKey":"vendor_configuration.bundle_config.registry","typeLabel":"string"},"image":{"type":"string","title":"Image","isRequired":true,"uniqueKey":"vendor_configuration.bundle_config.image","typeLabel":"string"},"tag":{"type":"string","title":"Tag","isRequired":true,"uniqueKey":"vendor_configuration.bundle_config.tag","typeLabel":"string"},"command":{"items":{"type":"string","uniqueKey":"vendor_configuration.bundle_config.command.items.[INDEX]","typeLabel":"string"},"type":"array","title":"Command","uniqueKey":"vendor_configuration.bundle_config.command","typeLabel":"string[]"},"env":{"additionalProperties":{"type":"string","uniqueKey":"vendor_configuration.bundle_config.env.additionalProperties","typeLabel":"string"},"type":"object","title":"Env","uniqueKey":"vendor_configuration.bundle_config.env","typeLabel":"Env · object"},"streaming_command":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"vendor_configuration.bundle_config.streaming_command.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Streaming Command","uniqueKey":"vendor_configuration.bundle_config.streaming_command.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Streaming Command","uniqueKey":"vendor_configuration.bundle_config.streaming_command.oneOf.1","typeLabel":"null"}],"uniqueKey":"vendor_configuration.bundle_config.streaming_command","typeLabel":"string[] | null"},"readiness_initial_delay_seconds":{"type":"integer","title":"Readiness Initial Delay Seconds","default":120,"uniqueKey":"vendor_configuration.bundle_config.readiness_initial_delay_seconds","typeLabel":"integer"},"healthcheck_route":{"type":"string","title":"Healthcheck Route","default":"/readyz","uniqueKey":"vendor_configuration.bundle_config.healthcheck_route","typeLabel":"string"},"predict_route":{"type":"string","title":"Predict Route","default":"/predict","uniqueKey":"vendor_configuration.bundle_config.predict_route","typeLabel":"string"},"streaming_predict_route":{"oneOf":[{"type":"string","title":"Streaming Predict Route","default":"/generate_streaming","uniqueKey":"vendor_configuration.bundle_config.streaming_predict_route.oneOf.0","typeLabel":"string"},{"type":"null","title":"Streaming Predict Route","default":"/generate_streaming","uniqueKey":"vendor_configuration.bundle_config.streaming_predict_route.oneOf.1","typeLabel":"null"}],"uniqueKey":"vendor_configuration.bundle_config.streaming_predict_route","typeLabel":"string | null"}},"type":"object","required":["registry","image","tag"],"title":"ModelBundleConfiguration","isRequired":true,"uniqueKey":"vendor_configuration.bundle_config","typeLabel":"ModelBundleConfiguration · object"},"vendor":{"type":"string","const":"LAUNCH","title":"Vendor","default":"LAUNCH","uniqueKey":"vendor_configuration.vendor","typeLabel":"string"},"endpoint_config":{"oneOf":[{"type":"object","title":"CreateModelEndpointConfig","properties":{"cpus":{"type":"integer","title":"Cpus","default":3,"uniqueKey":"vendor_configuration.endpoint_config.oneOf.0.cpus","typeLabel":"integer"},"memory":{"type":"string","title":"Memory","default":"8Gi","uniqueKey":"vendor_configuration.endpoint_config.oneOf.0.memory","typeLabel":"string"},"storage":{"type":"string","title":"Storage","default":"16Gi","uniqueKey":"vendor_configuration.endpoint_config.oneOf.0.storage","typeLabel":"string"},"gpus":{"type":"integer","title":"Gpus","default":0,"uniqueKey":"vendor_configuration.endpoint_config.oneOf.0.gpus","typeLabel":"integer"},"gpu_type":{"oneOf":[{"type":"string","title":"GPUType","enum":["nvidia-tesla-t4","nvidia-ampere-a10","nvidia-ampere-a100","nvidia-ampere-a100e","nvidia-hopper-h100","nvidia-hopper-h100-1g20gb","nvidia-hopper-h100-3g40gb"],"uniqueKey":"vendor_configuration.endpoint_config.oneOf.0.gpu_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"vendor_configuration.endpoint_config.oneOf.0.gpu_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"vendor_configuration.endpoint_config.oneOf.0.gpu_type","typeLabel":"enum\u003cstring> | null"},"min_workers":{"type":"integer","title":"Min Workers","default":0,"uniqueKey":"vendor_configuration.endpoint_config.oneOf.0.min_workers","typeLabel":"integer"},"max_workers":{"type":"integer","title":"Max Workers","default":1,"uniqueKey":"vendor_configuration.endpoint_config.oneOf.0.max_workers","typeLabel":"integer"},"per_worker":{"type":"integer","title":"Per Worker","description":"The maximum number of concurrent requests that an individual worker can\nservice. Launch automatically scales the number of workers for the endpoint so that\neach worker is processing ``per_worker`` requests, subject to the limits defined by\n``min_workers`` and ``max_workers``.\n\n- If the average number of concurrent requests per worker is lower than\n``per_worker``, then the number of workers will be reduced. - Otherwise,\nif the average number of concurrent requests per worker is higher than\n``per_worker``, then the number of workers will be increased to meet the elevated\ntraffic.\n\nHere is our recommendation for computing ``per_worker``:\n\n1. Compute ``min_workers`` and ``max_workers`` per your minimum and maximum\nthroughput requirements. 2. Determine a value for the maximum number of\nconcurrent requests in the workload. Divide this number by ``max_workers``. Doing\nthis ensures that the number of workers will \"climb\" to ``max_workers``.","default":10,"uniqueKey":"vendor_configuration.endpoint_config.oneOf.0.per_worker","typeLabel":"integer"},"endpoint_type":{"type":"string","enum":["SYNC","ASYNC","STREAMING","BATCH"],"title":"ModelEndpointType","description":"An enum representing the different types of model endpoint types supported.\n\nAttributes:\n SYNC: Denotes that the model endpoint type is sync.\n ASYNC: Denotes that the model endpoint type is async.\n STREAMING: Denotes that the model endpoint type is streaming.\n BATCH: Denotes that the model endpoint type is batch.","default":"ASYNC","uniqueKey":"vendor_configuration.endpoint_config.oneOf.0.endpoint_type","typeLabel":"enum\u003cstring>"},"high_priority":{"oneOf":[{"type":"boolean","title":"High Priority","default":false,"uniqueKey":"vendor_configuration.endpoint_config.oneOf.0.high_priority.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"High Priority","default":false,"uniqueKey":"vendor_configuration.endpoint_config.oneOf.0.high_priority.oneOf.1","typeLabel":"null"}],"uniqueKey":"vendor_configuration.endpoint_config.oneOf.0.high_priority","typeLabel":"boolean | null"}},"uniqueKey":"vendor_configuration.endpoint_config.oneOf.0","typeLabel":"CreateModelEndpointConfig · object"},{"type":"null","uniqueKey":"vendor_configuration.endpoint_config.oneOf.1","typeLabel":"null"}],"uniqueKey":"vendor_configuration.endpoint_config","typeLabel":"CreateModelEndpointConfig · object | null"},"fine_tuning_job_bundle_config":{"oneOf":[{"type":"object","title":"FineTuningBundleConfiguration","required":["registry","image","tag"],"properties":{"registry":{"type":"string","title":"Registry","isRequired":true,"uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.registry","typeLabel":"string"},"image":{"type":"string","title":"Image","isRequired":true,"uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.image","typeLabel":"string"},"tag":{"type":"string","title":"Tag","isRequired":true,"uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.tag","typeLabel":"string"},"command":{"items":{"type":"string","uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.command.items.[INDEX]","typeLabel":"string"},"type":"array","title":"Command","uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.command","typeLabel":"string[]"},"env":{"additionalProperties":{"type":"string","uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.env.additionalProperties","typeLabel":"string"},"type":"object","title":"Env","uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.env","typeLabel":"Env · object"},"mount_location":{"oneOf":[{"type":"string","title":"Mount Location","description":"The filesystem location where the fine tuning job's configuration will be available when it is started.","default":"/workspace/launch_specific/config.json","uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.mount_location.oneOf.0","typeLabel":"string"},{"type":"null","title":"Mount Location","description":"The filesystem location where the fine tuning job's configuration will be available when it is started.","default":"/workspace/launch_specific/config.json","uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.mount_location.oneOf.1","typeLabel":"null"}],"uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.mount_location","typeLabel":"string | null"},"training_dataset_schema_type":{"oneOf":[{"type":"string","title":"TrainingDatasetORMSchemaTypeEnum","description":"Optionally set required training and validation dataset schema","enum":["GENERATION","RERANKING_QUESTIONS"],"uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.training_dataset_schema_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Optionally set required training and validation dataset schema","uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.training_dataset_schema_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.training_dataset_schema_type","typeLabel":"enum\u003cstring> | null"},"resources":{"oneOf":[{"type":"object","title":"RequiredResources","properties":{"cpus":{"type":"integer","title":"Cpus","default":3,"uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.resources.oneOf.0.cpus","typeLabel":"integer"},"memory":{"type":"string","title":"Memory","default":"8Gi","uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.resources.oneOf.0.memory","typeLabel":"string"},"storage":{"type":"string","title":"Storage","default":"16Gi","uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.resources.oneOf.0.storage","typeLabel":"string"},"gpus":{"type":"integer","title":"Gpus","default":0,"uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.resources.oneOf.0.gpus","typeLabel":"integer"},"gpu_type":{"oneOf":[{"type":"string","title":"GPUType","enum":["nvidia-tesla-t4","nvidia-ampere-a10","nvidia-ampere-a100","nvidia-ampere-a100e","nvidia-hopper-h100","nvidia-hopper-h100-1g20gb","nvidia-hopper-h100-3g40gb"],"uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.resources.oneOf.0.gpu_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.resources.oneOf.0.gpu_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.resources.oneOf.0.gpu_type","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.resources.oneOf.0","typeLabel":"RequiredResources · object"},{"type":"null","uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.resources.oneOf.1","typeLabel":"null"}],"uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0.resources","typeLabel":"RequiredResources · object | null"}},"uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.0","typeLabel":"FineTuningBundleConfiguration · object"},{"type":"null","uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config.oneOf.1","typeLabel":"null"}],"uniqueKey":"vendor_configuration.fine_tuning_job_bundle_config","typeLabel":"FineTuningBundleConfiguration · object | null"}},"type":"object","required":["bundle_config"],"title":"LaunchVendorConfiguration","description":"Configuration for launching a model using the Launch service which is an internal and\nself-hosted service developed by Scale that deploys models on Kubernetes.\n\nAttributes:\n vendor: The vendor of the model template\n bundle_config: The bundle configuration of the model template\n endpoint_config: The endpoint configuration of the model template","isRequired":true,"uniqueKey":"vendor_configuration","typeLabel":"LaunchVendorConfiguration · object"},"id":{"type":"string","title":"Id","description":"The unique identifier of the entity.","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"The date and time when the entity was created in ISO format.","isRequired":true,"uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"account_id":{"type":"string","title":"Account Id","description":"The ID of the account that owns the given entity.","can_patch":false,"isRequired":true,"uniqueKey":"account_id","typeLabel":"string"},"created_by_user_id":{"type":"string","title":"Created By User Id","description":"The user who originally created the entity.","isRequired":true,"uniqueKey":"created_by_user_id","typeLabel":"string"},"created_by_identity_type":{"type":"string","enum":["user","service_account"],"title":"IdentifierTypeEnum","description":"The type of identity that created the entity.","isRequired":true,"uniqueKey":"created_by_identity_type","typeLabel":"enum\u003cstring>"},"model_creation_parameters_schema":{"oneOf":[{"type":"object","title":"ParameterSchema","description":"The field names and types of available parameter fields which may be specified during model creation","required":["parameters"],"properties":{"parameters":{"items":{"properties":{"name":{"type":"string","title":"Name","isRequired":true,"uniqueKey":"model_creation_parameters_schema.oneOf.0.parameters.items.[INDEX].name","typeLabel":"string"},"type":{"oneOf":[{"type":"string","title":"Type","const":"str","isRequired":true,"uniqueKey":"model_creation_parameters_schema.oneOf.0.parameters.items.[INDEX].type.oneOf.0","typeLabel":"string"},{"type":"string","title":"Type","const":"int","isRequired":true,"uniqueKey":"model_creation_parameters_schema.oneOf.0.parameters.items.[INDEX].type.oneOf.1","typeLabel":"string"},{"type":"string","title":"Type","const":"float","isRequired":true,"uniqueKey":"model_creation_parameters_schema.oneOf.0.parameters.items.[INDEX].type.oneOf.2","typeLabel":"string"},{"type":"string","title":"Type","const":"bool","isRequired":true,"uniqueKey":"model_creation_parameters_schema.oneOf.0.parameters.items.[INDEX].type.oneOf.3","typeLabel":"string"}],"isRequired":true,"uniqueKey":"model_creation_parameters_schema.oneOf.0.parameters.items.[INDEX].type","typeLabel":"string"},"description":{"type":"string","title":"Description","isRequired":true,"uniqueKey":"model_creation_parameters_schema.oneOf.0.parameters.items.[INDEX].description","typeLabel":"string"},"required":{"type":"boolean","title":"Required","isRequired":true,"uniqueKey":"model_creation_parameters_schema.oneOf.0.parameters.items.[INDEX].required","typeLabel":"boolean"}},"type":"object","required":["name","type","description","required"],"title":"ParameterSchemaField","uniqueKey":"model_creation_parameters_schema.oneOf.0.parameters.items.[INDEX]","typeLabel":"ParameterSchemaField · object"},"type":"array","title":"Parameters","isRequired":true,"uniqueKey":"model_creation_parameters_schema.oneOf.0.parameters","typeLabel":"ParameterSchemaField · object[]"}},"uniqueKey":"model_creation_parameters_schema.oneOf.0","typeLabel":"ParameterSchema · object"},{"type":"null","description":"The field names and types of available parameter fields which may be specified during model creation","uniqueKey":"model_creation_parameters_schema.oneOf.1","typeLabel":"null"}],"uniqueKey":"model_creation_parameters_schema","typeLabel":"ParameterSchema · object | null"},"model_request_parameters_schema":{"oneOf":[{"type":"object","title":"ParameterSchema","description":"The field names and types of available parameter fields which may be specified in a model execution API's `model_request_parameters` field.","required":["parameters"],"properties":{"parameters":{"items":{"properties":{"name":{"type":"string","title":"Name","isRequired":true,"uniqueKey":"model_request_parameters_schema.oneOf.0.parameters.items.[INDEX].name","typeLabel":"string"},"type":{"oneOf":[{"type":"string","title":"Type","const":"str","isRequired":true,"uniqueKey":"model_request_parameters_schema.oneOf.0.parameters.items.[INDEX].type.oneOf.0","typeLabel":"string"},{"type":"string","title":"Type","const":"int","isRequired":true,"uniqueKey":"model_request_parameters_schema.oneOf.0.parameters.items.[INDEX].type.oneOf.1","typeLabel":"string"},{"type":"string","title":"Type","const":"float","isRequired":true,"uniqueKey":"model_request_parameters_schema.oneOf.0.parameters.items.[INDEX].type.oneOf.2","typeLabel":"string"},{"type":"string","title":"Type","const":"bool","isRequired":true,"uniqueKey":"model_request_parameters_schema.oneOf.0.parameters.items.[INDEX].type.oneOf.3","typeLabel":"string"}],"isRequired":true,"uniqueKey":"model_request_parameters_schema.oneOf.0.parameters.items.[INDEX].type","typeLabel":"string"},"description":{"type":"string","title":"Description","isRequired":true,"uniqueKey":"model_request_parameters_schema.oneOf.0.parameters.items.[INDEX].description","typeLabel":"string"},"required":{"type":"boolean","title":"Required","isRequired":true,"uniqueKey":"model_request_parameters_schema.oneOf.0.parameters.items.[INDEX].required","typeLabel":"boolean"}},"type":"object","required":["name","type","description","required"],"title":"ParameterSchemaField","uniqueKey":"model_request_parameters_schema.oneOf.0.parameters.items.[INDEX]","typeLabel":"ParameterSchemaField · object"},"type":"array","title":"Parameters","isRequired":true,"uniqueKey":"model_request_parameters_schema.oneOf.0.parameters","typeLabel":"ParameterSchemaField · object[]"}},"uniqueKey":"model_request_parameters_schema.oneOf.0","typeLabel":"ParameterSchema · object"},{"type":"null","description":"The field names and types of available parameter fields which may be specified in a model execution API's `model_request_parameters` field.","uniqueKey":"model_request_parameters_schema.oneOf.1","typeLabel":"null"}],"uniqueKey":"model_request_parameters_schema","typeLabel":"ParameterSchema · object | null"},"endpoint_protocol":{"oneOf":[{"type":"string","title":"LaunchEndpointProtocol","description":"The name of the calling convention expected by the Launch model endpoint","enum":["SGP","COHERE","VLLM"],"uniqueKey":"endpoint_protocol.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The name of the calling convention expected by the Launch model endpoint","uniqueKey":"endpoint_protocol.oneOf.1","typeLabel":"null"}],"uniqueKey":"endpoint_protocol","typeLabel":"enum\u003cstring> | null"}},"type":"object","required":["name","endpoint_type","model_type","vendor_configuration","id","created_at","account_id","created_by_user_id","created_by_identity_type"],"title":"ModelTemplateResponse","uniqueKey":"","typeLabel":"ModelTemplateResponse · object"},"examples":{"Example":{"title":"Example","value":{"name":"\u003cstring>","endpoint_type":"SYNC","model_type":"COMPLETION","vendor_configuration":{"bundle_config":{"registry":"\u003cstring>","image":"\u003cstring>","tag":"\u003cstring>","command":["\u003cstring>"],"env":{},"streaming_command":["\u003cstring>"],"readiness_initial_delay_seconds":120,"healthcheck_route":"/readyz","predict_route":"/predict","streaming_predict_route":"/generate_streaming"},"vendor":"LAUNCH","endpoint_config":{"cpus":3,"memory":"8Gi","storage":"16Gi","gpus":0,"gpu_type":"nvidia-tesla-t4","min_workers":0,"max_workers":1,"per_worker":10,"endpoint_type":"ASYNC","high_priority":false},"fine_tuning_job_bundle_config":{"registry":"\u003cstring>","image":"\u003cstring>","tag":"\u003cstring>","command":["\u003cstring>"],"env":{},"mount_location":"/workspace/launch_specific/config.json","training_dataset_schema_type":"GENERATION","resources":{"cpus":3,"memory":"8Gi","storage":"16Gi","gpus":0,"gpu_type":"nvidia-tesla-t4"}}},"id":"\u003cstring>","created_at":"2023-11-07T05:31:56Z","account_id":"\u003cstring>","created_by_user_id":"\u003cstring>","created_by_identity_type":"user","model_creation_parameters_schema":{"parameters":[{"name":"\u003cstring>","type":"str","description":"\u003cstring>","required":true}]},"model_request_parameters_schema":{"parameters":[{"name":"\u003cstring>","type":"str","description":"\u003cstring>","required":true}]},"endpoint_protocol":"SGP"}}},"exampleType":"generated"}},"exampleType":"generated"},"bd9221ed-0e85-48e0-8794-f0a8ff614c66":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"},"input":{"oneOf":[{"title":"Input"}],"uniqueKey":"detail.items.[INDEX].input","typeLabel":"any"},"ctx":{"type":"object","title":"Context","additionalProperties":true,"uniqueKey":"detail.items.[INDEX].ctx","typeLabel":"Context · object"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>","input":"\u003cunknown>","ctx":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{"d7da804a-61ba-45a0-9ede-fb5392d113cf":{"url":"https://api.egp.scale.com"}}},"originalFileLocation":"openapi/v4.yaml"},"subdomain":"scalegp","siteName":"Scale","title":"Get Model Template - Scale","navMaps":{"firstHrefInVersion":{"V5":{"href":"/docs/v5/overview","matchLevel":4},"V4 (legacy)":{"href":"/reference/v4/model-templates-v3-beta/get-model-template","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-05-29T12:48:39.610Z","originalFileLocation":"reference/v4/model-templates-v3-beta/get-model-template.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"### Description Gets the details of a model template ### Details This API can be used to get information about a single model template by ID. To use this API, pass in the id that was returned from your Create Model Template API call as a path parameter. Review the response schema to see the fields that will be returned.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Scale\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/KjwNgkAP0XyDRKtA/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/KjwNgkAP0XyDRKtA/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/KjwNgkAP0XyDRKtA/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/KjwNgkAP0XyDRKtA/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/KjwNgkAP0XyDRKtA/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/KjwNgkAP0XyDRKtA/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/KjwNgkAP0XyDRKtA/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/KjwNgkAP0XyDRKtA/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/scalegp/KjwNgkAP0XyDRKtA/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get Model Template - Scale\">\u003cmeta data-mint-head property=\"og:description\" content=\"### Description Gets the details of a model template ### Details This API can be used to get information about a single model template by ID. To use this API, pass in the id that was returned from your Create Model Template API call as a path parameter. Review the response schema to see the fields that will be returned.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Scale\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.gp.scale.com/reference/v4/model-templates-v3-beta/get-model-template\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://scalegp.mintlify.site/_mintlify/api/og/v2?division=Model+Templates+V3+%28Beta%29\u0026amp;title=Get+Model+Template\u0026amp;description=%23%23%23+Description%0AGets+the+details+of+a+model+template%0A%0A%23%23%23+Details%0AThis+API+can+be+used+to+get+information+about+a+single+model+template+by+ID.+To+use+this+API%2C+\u0026amp;theme=4eb366a505141b7fa10bcb74\u0026amp;signature=6a1effd54ff851fc37aa36610221875c5f81ccd8dbb5a894042a299e1b0106c4\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get Model Template - Scale\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"### Description Gets the details of a model template ### Details This API can be used to get information about a single model template by ID. To use this API, pass in the id that was returned from your Create Model Template API call as a path parameter. Review the response schema to see the fields that will be returned.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://scalegp.mintlify.site/_mintlify/api/og/v2?division=Model+Templates+V3+%28Beta%29\u0026amp;title=Get+Model+Template\u0026amp;description=%23%23%23+Description%0AGets+the+details+of+a+model+template%0A%0A%23%23%23+Details%0AThis+API+can+be+used+to+get+information+about+a+single+model+template+by+ID.+To+use+this+API%2C+\u0026amp;theme=4eb366a505141b7fa10bcb74\u0026amp;signature=6a1effd54ff851fc37aa36610221875c5f81ccd8dbb5a894042a299e1b0106c4\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/scalegp/KjwNgkAP0XyDRKtA/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Scale\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3f2e7b\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.gp.scale.com/reference/v4/model-templates-v3-beta/get-model-template\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/v4/model-templates-v3-beta/get-model-template.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.gp.scale.com/#organization\",\"name\":\"Scale\",\"url\":\"https://docs.gp.scale.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/scalegp/YkQgtlZ7_jaCP1h0/logo/light.svg?fit=max\u0026auto=format\u0026n=YkQgtlZ7_jaCP1h0\u0026q=85\u0026s=3afcca56833a7bfb1c8bf1eec6176590\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.gp.scale.com#website\",\"name\":\"Scale\",\"url\":\"https://docs.gp.scale.com\",\"publisher\":{\"@id\":\"https://docs.gp.scale.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.gp.scale.com/reference/v4/model-templates-v3-beta/get-model-template#webpage\",\"url\":\"https://docs.gp.scale.com/reference/v4/model-templates-v3-beta/get-model-template\",\"name\":\"Get Model Template\",\"description\":\"### Description Gets the details of a model template ### Details This API can be used to get information about a single model template by ID. To use this API, pass in the id that was returned from your Create Model Template API call as a path parameter. Review the response schema to see the fields that will be returned.\",\"dateModified\":\"2026-05-29T12:48:39.610Z\",\"isPartOf\":{\"@id\":\"https://docs.gp.scale.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.gp.scale.com/reference/v4/model-templates-v3-beta/get-model-template#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.gp.scale.com/reference/v4/model-templates-v3-beta/get-model-template#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Model Templates V3 (Beta)\",\"item\":\"https://docs.gp.scale.com/reference/v4/model-templates-v3-beta/list-model-templates\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get Model Template\",\"item\":\"https://docs.gp.scale.com/reference/v4/model-templates-v3-beta/get-model-template\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.gp.scale.com/reference/v4/model-templates-v3-beta/get-model-template#apireference\",\"headline\":\"Get Model Template\",\"name\":\"Get Model Template\",\"description\":\"### Description Gets the details of a model template ### Details This API can be used to get information about a single model template by ID. To use this API, pass in the id that was returned from your Create Model Template API call as a path parameter. Review the response schema to see the fields that will be returned.\",\"url\":\"https://docs.gp.scale.com/reference/v4/model-templates-v3-beta/get-model-template\",\"mainEntityOfPage\":{\"@id\":\"https://docs.gp.scale.com/reference/v4/model-templates-v3-beta/get-model-template#webpage\"},\"dateModified\":\"2026-05-29T12:48:39.610Z\",\"publisher\":{\"@id\":\"https://docs.gp.scale.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.gp.scale.com#website\"}}]}\u003c/script>","agentPointerHref":"/reference/v4/model-templates-v3-beta/get-model-template.md","siteName":"Scale","nav":{"global":null,"versions":[{"version":"V5","pages":[{"title":"V5","href":"/docs/v5/overview"}]},{"version":"V4 (legacy)","tabs":[{"tab":"Home","pages":[{"title":"Home","href":"/home"}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/docs/introduction"}]},{"tab":"API Reference","groups":[{"group":"Knowledge Bases","pages":[{"title":"List Knowledge Bases","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases","href":"/reference/v4/knowledge-bases/list-knowledge-bases"},{"title":"Create Knowledge Base","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases","href":"/reference/v4/knowledge-bases/create-knowledge-base"},{"title":"Get Knowledge Base","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}","href":"/reference/v4/knowledge-bases/get-knowledge-base"},{"title":"Delete Knowledge Base","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/knowledge-bases/{knowledge_base_id}","href":"/reference/v4/knowledge-bases/delete-knowledge-base"},{"title":"Patch Knowledge Base","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/knowledge-bases/{knowledge_base_id}","href":"/reference/v4/knowledge-bases/patch-knowledge-base"},{"title":"List Knowledge Base Async Jobs","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/async-jobs","href":"/reference/v4/knowledge-bases/list-knowledge-base-async-jobs"},{"title":"Fetch Chunks by ID or Metadata","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/chunks","href":"/reference/v4/knowledge-bases/fetch-chunks-by-id-or-metadata"},{"title":"Query Relevant Chunks","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases/{knowledge_base_id}/query","href":"/reference/v4/knowledge-bases/query-relevant-chunks"},{"title":"Delete Data Source Connection","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases/{knowledge_base_id}/data-source-connections/{knowledge_base_data_source_id}/delete","href":"/reference/v4/knowledge-bases/delete-data-source-connection"},{"title":"Submit Upload Job with local files","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases/{knowledge_base_id}/upload_files","href":"/reference/v4/knowledge-bases/submit-upload-job-with-local-files"},{"title":"List Upload Jobs","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/uploads","href":"/reference/v4/knowledge-bases/list-upload-jobs"},{"title":"Submit Upload Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases/{knowledge_base_id}/uploads","href":"/reference/v4/knowledge-bases/submit-upload-job"},{"title":"Get Upload Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/uploads/{upload_id}","href":"/reference/v4/knowledge-bases/get-upload-job"},{"title":"Cancel Upload Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases/{knowledge_base_id}/uploads/{upload_id}/cancel","href":"/reference/v4/knowledge-bases/cancel-upload-job"},{"title":"List Tracked Artifacts","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/artifacts","href":"/reference/v4/knowledge-bases/list-tracked-artifacts"},{"title":"Get Tracked Artifact Details","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/artifacts/{artifact_id}","href":"/reference/v4/knowledge-bases/get-tracked-artifact-details"},{"title":"Delete Locally Stored Artifact","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/knowledge-bases/{knowledge_base_id}/artifacts/{artifact_id}","href":"/reference/v4/knowledge-bases/delete-locally-stored-artifact"},{"title":"Patch Artifact Information","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/knowledge-bases/{knowledge_base_id}/artifacts/{artifact_id}","href":"/reference/v4/knowledge-bases/patch-artifact-information"},{"title":"List Chunks of Artifacts with Pagination","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/artifacts/{artifact_id}/chunks","href":"/reference/v4/knowledge-bases/list-chunks-of-artifacts-with-pagination"},{"title":"Create chunk for local chunk artifacts","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases/{knowledge_base_id}/artifacts/{artifact_id}/chunks","href":"/reference/v4/knowledge-bases/create-chunk-for-local-chunk-artifacts"},{"title":"Get Single Chunk Information and status","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/artifacts/{artifact_id}/chunks/{chunk_id}","href":"/reference/v4/knowledge-bases/get-single-chunk-information-and-status"},{"title":"Update Single Chunk data for local artifact","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml put /v4/knowledge-bases/{knowledge_base_id}/artifacts/{artifact_id}/chunks/{chunk_id}","href":"/reference/v4/knowledge-bases/update-single-chunk-data-for-local-artifact"},{"title":"Delete Single Chunk from Local Artifact","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/knowledge-bases/{knowledge_base_id}/artifacts/{artifact_id}/chunks/{chunk_id}","href":"/reference/v4/knowledge-bases/delete-single-chunk-from-local-artifact"},{"title":"Get Chunk and Artifact Information by Chunk ID","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/chunks/{chunk_id}","href":"/reference/v4/knowledge-bases/get-chunk-and-artifact-information-by-chunk-id"},{"title":"Test Knowledge Base Data Source credentials","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-base-data-sources/{knowledge_base_data_source_id}/verify","href":"/reference/v4/knowledge-bases/test-knowledge-base-data-source-credentials"},{"title":"Batch Delete Locally Stored Artifacts","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases/{knowledge_base_id}/artifacts/batch-delete","href":"/reference/v4/knowledge-bases/batch-delete-locally-stored-artifacts"},{"title":"List Upload Schedules","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/upload-schedules","href":"/reference/v4/knowledge-bases/list-upload-schedules"},{"title":"Create Upload Schedule","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-bases/{knowledge_base_id}/upload-schedules","href":"/reference/v4/knowledge-bases/create-upload-schedule"},{"title":"Get Upload Schedule","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-bases/{knowledge_base_id}/upload-schedules/{upload_schedule_id}","href":"/reference/v4/knowledge-bases/get-upload-schedule"},{"title":"Delete Upload Schedule","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/knowledge-bases/{knowledge_base_id}/upload-schedules/{upload_schedule_id}","href":"/reference/v4/knowledge-bases/delete-upload-schedule"},{"title":"Update Upload Schedule","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/knowledge-bases/{knowledge_base_id}/upload-schedules/{upload_schedule_id}","href":"/reference/v4/knowledge-bases/update-upload-schedule"}]},{"group":"Chunks","pages":[{"title":"Rank Chunks","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/chunks/rank","href":"/reference/v4/chunks/rank-chunks"}]},{"group":"Agents","pages":[{"title":"Execute Agent","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/agents/execute","href":"/reference/v4/agents/execute-agent"}]},{"group":"Completions","pages":[{"title":"Create Completion","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/completions","href":"/reference/v4/completions/create-completion"}]},{"group":"Chat Completions","pages":[{"title":"Create Chat Completion","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/chat-completions","href":"/reference/v4/chat-completions/create-chat-completion"}]},{"group":"Models","pages":[{"title":"Execute Model Deployment","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/models/{model_instance_id}/deployments/{model_deployment_id}/execute","href":"/reference/v4/models/execute-model-deployment"},{"title":"Execute Model Deployment Async and Return the Async Run ID","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/models/{model_instance_id}/deployments/{model_deployment_id}/executeAsync","href":"/reference/v4/models/execute-model-deployment-async-and-return-the-async-run-id"},{"title":"Poll Async Inference for result","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/models/{model_instance_id}/deployments/{model_deployment_id}/pollAsync/{async_task_id}","href":"/reference/v4/models/poll-async-inference-for-result"},{"title":"Generate text embedding","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/models/{model_deployment_id}/embeddings","href":"/reference/v4/models/generate-text-embedding"},{"title":"Generate reranking","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/models/{model_deployment_id}/rerankings","href":"/reference/v4/models/generate-reranking"},{"title":"Generate completion","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/models/{model_deployment_id}/completions","href":"/reference/v4/models/generate-completion"},{"title":"Generate chat completion","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/models/{model_deployment_id}/chat-completions","href":"/reference/v4/models/generate-chat-completion"},{"title":"List Model Deployments of a Model","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/models/{model_instance_id}/deployments","href":"/reference/v4/models/list-model-deployments-of-a-model"},{"title":"Deploy Model","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/models/{model_instance_id}/deployments","href":"/reference/v4/models/deploy-model"},{"title":"Get Model usage by model name","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/models/{model_name}/usage-statistics","href":"/reference/v4/models/get-model-usage-by-model-name"},{"title":"List All Model Deployments","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/model-deployments","href":"/reference/v4/models/list-all-model-deployments"},{"title":"Get Model usage for one deployment","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/model-deployments/{model_deployment_id}/usage-statistics","href":"/reference/v4/models/get-model-usage-for-one-deployment"},{"title":"Add model to group","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/model-groups/{model_group_id}/models/{model_instance_id}","href":"/reference/v4/models/add-model-to-group"},{"title":"Get Model usage for a group","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/model-groups/{model_group_id}/usage-statistics","href":"/reference/v4/models/get-model-usage-for-a-group"},{"title":"List Models","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/models","href":"/reference/v4/models/list-models"},{"title":"Create Model","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/models","href":"/reference/v4/models/create-model"},{"title":"Get Model","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/models/{model_id}","href":"/reference/v4/models/get-model"},{"title":"Delete Model","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/models/{model_id}","href":"/reference/v4/models/delete-model"},{"title":"Update Model","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/models/{model_id}","href":"/reference/v4/models/update-model"},{"title":"List Model Groups","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/model-groups","href":"/reference/v4/models/list-model-groups"},{"title":"Create Model Group","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/model-groups","href":"/reference/v4/models/create-model-group"},{"title":"Get Model Group","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/model-groups/{model_group_id}","href":"/reference/v4/models/get-model-group"},{"title":"Delete Model Group","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/model-groups/{model_group_id}","href":"/reference/v4/models/delete-model-group"},{"title":"Update Model Group","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/model-groups/{model_group_id}","href":"/reference/v4/models/update-model-group"},{"title":"Get Deployment","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/models/{model_instance_id}/deployments/{deployment_id}","href":"/reference/v4/models/get-deployment"},{"title":"Delete Deployment","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/models/{model_instance_id}/deployments/{deployment_id}","href":"/reference/v4/models/delete-deployment"},{"title":"Update Deployment","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/models/{model_instance_id}/deployments/{deployment_id}","href":"/reference/v4/models/update-deployment"}]},{"group":"Users","pages":[{"title":"User info","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /user-info","href":"/reference/v4/users/user-info"},{"title":"Update user info","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /user-preferences","href":"/reference/v4/users/update-user-info"},{"title":"Get User","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /users/{user_id}","href":"/reference/v4/users/get-user"}]},{"group":"Accounts","pages":[{"title":"Create account","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /accounts","href":"/reference/v4/accounts/create-account"}]},{"group":"Organizations","pages":[{"title":"Get organization","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /organizations/by-domain/{domain}","href":"/reference/v4/organizations/get-organization"}]},{"group":"Question Sets","pages":[{"title":"Get Question Set","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/question-sets/{question_set_id}","href":"/reference/v4/question-sets/get-question-set"},{"title":"Delete Question Set","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/question-sets/{question_set_id}","href":"/reference/v4/question-sets/delete-question-set"},{"title":"Update Question Set","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/question-sets/{question_set_id}","href":"/reference/v4/question-sets/update-question-set"},{"title":"List Question Sets","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/question-sets","href":"/reference/v4/question-sets/list-question-sets"},{"title":"Create Question Set","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/question-sets","href":"/reference/v4/question-sets/create-question-set"}]},{"group":"Evaluations","pages":[{"title":"Claim Evaluation Task","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluations/{evaluation_id}/claim-task","href":"/reference/v4/evaluations/claim-evaluation-task"},{"title":"Batch assign tasks to user","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/evaluations/{evaluation_id}/tasks/batch-assign","href":"/reference/v4/evaluations/batch-assign-tasks-to-user"},{"title":"Update Evaluation Task","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/evaluations/{evaluation_id}/tasks/{task_id}","href":"/reference/v4/evaluations/update-evaluation-task"},{"title":"Get Contributor Metrics","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/contributor-metrics/{contributor_id}","href":"/reference/v4/evaluations/get-contributor-metrics"},{"title":"List Contributor Metrics","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/contributor-metrics","href":"/reference/v4/evaluations/list-contributor-metrics"},{"title":"Get Evaluation Metrics","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/evaluation-metrics","href":"/reference/v4/evaluations/get-evaluation-metrics"},{"title":"Get Hybrid Evaluation Metrics","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/hybrid-eval-metrics","href":"/reference/v4/evaluations/get-hybrid-evaluation-metrics"},{"title":"List Evaluations","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations","href":"/reference/v4/evaluations/list-evaluations"},{"title":"Create Evaluation","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluations","href":"/reference/v4/evaluations/create-evaluation"},{"title":"Get Evaluation","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}","href":"/reference/v4/evaluations/get-evaluation"},{"title":"Delete Evaluation","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/evaluations/{evaluation_id}","href":"/reference/v4/evaluations/delete-evaluation"},{"title":"Update Evaluation","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/evaluations/{evaluation_id}","href":"/reference/v4/evaluations/update-evaluation"},{"title":"List Test Case Results","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/test-case-results","href":"/reference/v4/evaluations/list-test-case-results"},{"title":"Create Test Case Result","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluations/{evaluation_id}/test-case-results","href":"/reference/v4/evaluations/create-test-case-result"},{"title":"Batch Create Test Case Results","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluations/{evaluation_id}/test-case-results/batch","href":"/reference/v4/evaluations/batch-create-test-case-results"},{"title":"Get Test Case Result","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/test-case-results/{test_case_result_id}","href":"/reference/v4/evaluations/get-test-case-result"},{"title":"Update Test Case Result","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/evaluations/{evaluation_id}/test-case-results/{test_case_result_id}","href":"/reference/v4/evaluations/update-test-case-result"},{"title":"Get Historical Test Case Result","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/test-case-results/{test_case_result_id}/history/{num}","href":"/reference/v4/evaluations/get-historical-test-case-result"},{"title":"Get All Versions of Test Case Result","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/test-case-results/{test_case_result_id}/history","href":"/reference/v4/evaluations/get-all-versions-of-test-case-result"},{"title":"List Historical Test Case Results","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluations/{evaluation_id}/test-case-results/history/{num}","href":"/reference/v4/evaluations/list-historical-test-case-results"}]},{"group":"Evaluation Configs","pages":[{"title":"List Evaluation Configs","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-configs","href":"/reference/v4/evaluation-configs/list-evaluation-configs"},{"title":"Create Evaluation Config","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-configs","href":"/reference/v4/evaluation-configs/create-evaluation-config"},{"title":"Get Evaluation Config","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-configs/{evaluation_config_id}","href":"/reference/v4/evaluation-configs/get-evaluation-config"},{"title":"Delete Evaluation Config","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/evaluation-configs/{evaluation_config_id}","href":"/reference/v4/evaluation-configs/delete-evaluation-config"}]},{"group":"Evaluation Datasets","pages":[{"title":"List Evaluation Datasets","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets","href":"/reference/v4/evaluation-datasets/list-evaluation-datasets"},{"title":"Create Evaluation Dataset","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets","href":"/reference/v4/evaluation-datasets/create-evaluation-dataset"},{"title":"Get Evaluation Dataset","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}","href":"/reference/v4/evaluation-datasets/get-evaluation-dataset"},{"title":"Delete Evaluation Dataset","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/evaluation-datasets/{evaluation_dataset_id}","href":"/reference/v4/evaluation-datasets/delete-evaluation-dataset"},{"title":"Update Evaluation Dataset","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/evaluation-datasets/{evaluation_dataset_id}","href":"/reference/v4/evaluation-datasets/update-evaluation-dataset"},{"title":"List Evaluation Dataset Versions","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/evaluation-dataset-versions","href":"/reference/v4/evaluation-datasets/list-evaluation-dataset-versions"},{"title":"Create Evaluation Dataset Version","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/evaluation-dataset-versions","href":"/reference/v4/evaluation-datasets/create-evaluation-dataset-version"},{"title":"Get Evaluation Dataset Version","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/evaluation-dataset-versions/{evaluation_dataset_version_id}","href":"/reference/v4/evaluation-datasets/get-evaluation-dataset-version"},{"title":"List Test Cases","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases","href":"/reference/v4/evaluation-datasets/list-test-cases"},{"title":"Create Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases","href":"/reference/v4/evaluation-datasets/create-test-case"},{"title":"Batch Create Test Cases","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/batch","href":"/reference/v4/evaluation-datasets/batch-create-test-cases"},{"title":"Get Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}","href":"/reference/v4/evaluation-datasets/get-test-case"},{"title":"Delete Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}","href":"/reference/v4/evaluation-datasets/delete-test-case"},{"title":"Update Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}","href":"/reference/v4/evaluation-datasets/update-test-case"},{"title":"Get Historical Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}/history/{num}","href":"/reference/v4/evaluation-datasets/get-historical-test-case"},{"title":"Get All Versions of Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}/history","href":"/reference/v4/evaluation-datasets/get-all-versions-of-test-case"},{"title":"Wipe Full History of Test Cases","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/{test_case_id}/history","href":"/reference/v4/evaluation-datasets/wipe-full-history-of-test-cases"},{"title":"List Historical Test Cases","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/test-cases/history/{num}","href":"/reference/v4/evaluation-datasets/list-historical-test-cases"},{"title":"List Autogenerated Draft Test Cases","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/autogenerated-draft-test-cases","href":"/reference/v4/evaluation-datasets/list-autogenerated-draft-test-cases"},{"title":"Create Autogenerated Draft Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/autogenerated-draft-test-cases","href":"/reference/v4/evaluation-datasets/create-autogenerated-draft-test-case"},{"title":"Get Autogenerated Draft Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/autogenerated-draft-test-cases/{autogenerated_draft_test_case_id}","href":"/reference/v4/evaluation-datasets/get-autogenerated-draft-test-case"},{"title":"Delete Autogenerated Draft Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/evaluation-datasets/{evaluation_dataset_id}/autogenerated-draft-test-cases/{autogenerated_draft_test_case_id}","href":"/reference/v4/evaluation-datasets/delete-autogenerated-draft-test-case"},{"title":"Update Autogenerated Draft Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/evaluation-datasets/{evaluation_dataset_id}/autogenerated-draft-test-cases/{autogenerated_draft_test_case_id}","href":"/reference/v4/evaluation-datasets/update-autogenerated-draft-test-case"},{"title":"Approve Autogenerated Draft Test Case","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/autogenerated-draft-test-cases/{autogenerated_draft_test_case_id}/approve","href":"/reference/v4/evaluation-datasets/approve-autogenerated-draft-test-case"},{"title":"Publish Latest Evaluation Dataset Version","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/publish","href":"/reference/v4/evaluation-datasets/publish-latest-evaluation-dataset-version"},{"title":"Approve Auto Generated Test Cases Batch","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/approve-batch","href":"/reference/v4/evaluation-datasets/approve-auto-generated-test-cases-batch"},{"title":"Get Evaluation Dataset Generation Jobs","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/generation-jobs","href":"/reference/v4/evaluation-datasets/get-evaluation-dataset-generation-jobs"},{"title":"Create Evaluation Dataset Generation Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/generation-jobs","href":"/reference/v4/evaluation-datasets/create-evaluation-dataset-generation-job"},{"title":"Get Evaluation Dataset Generation Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/evaluation-datasets/{evaluation_dataset_id}/generation-jobs/{generation_job_id}","href":"/reference/v4/evaluation-datasets/get-evaluation-dataset-generation-job"},{"title":"Cancel Evaluation Dataset Generation Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/generation-jobs/{generation_job_id}/cancel","href":"/reference/v4/evaluation-datasets/cancel-evaluation-dataset-generation-job"},{"title":"Publish Evaluation Dataset Version","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/evaluation-datasets/{evaluation_dataset_id}/evaluation-dataset-versions/{evaluation_dataset_version_id}/publish","href":"/reference/v4/evaluation-datasets/publish-evaluation-dataset-version"}]},{"group":"Studio Projects","pages":[{"title":"List Studio Projects","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/studio-projects","href":"/reference/v4/studio-projects/list-studio-projects"},{"title":"Create Studio Project","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/studio-projects","href":"/reference/v4/studio-projects/create-studio-project"},{"title":"Get Studio Project","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/studio-projects/{studio_project_id}","href":"/reference/v4/studio-projects/get-studio-project"},{"title":"Delete Studio Project","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/studio-projects/{studio_project_id}","href":"/reference/v4/studio-projects/delete-studio-project"},{"title":"Update Studio Project","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/studio-projects/{studio_project_id}","href":"/reference/v4/studio-projects/update-studio-project"}]},{"group":"Application Specs","pages":[{"title":"List Application Specs","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-specs","href":"/reference/v4/application-specs/list-application-specs"},{"title":"Create Application Spec","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/application-specs","href":"/reference/v4/application-specs/create-application-spec"},{"title":"Get Application Spec","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-specs/{application_spec_id}","href":"/reference/v4/application-specs/get-application-spec"},{"title":"Delete Application Spec","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/application-specs/{application_spec_id}","href":"/reference/v4/application-specs/delete-application-spec"},{"title":"Update Application Spec","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/application-specs/{application_spec_id}","href":"/reference/v4/application-specs/update-application-spec"}]},{"group":"Questions","pages":[{"title":"List Questions","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/questions","href":"/reference/v4/questions/list-questions"},{"title":"Create Question","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/questions","href":"/reference/v4/questions/create-question"},{"title":"Get Question","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/questions/{question_id}","href":"/reference/v4/questions/get-question"}]},{"group":"Knowledge Base Data Sources","pages":[{"title":"List Knowledge Base Data Sources","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-base-data-sources","href":"/reference/v4/knowledge-base-data-sources/list-knowledge-base-data-sources"},{"title":"Create Knowledge Base Data Source","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/knowledge-base-data-sources","href":"/reference/v4/knowledge-base-data-sources/create-knowledge-base-data-source"},{"title":"Get Knowledge Base Data Source","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/knowledge-base-data-sources/{knowledge_base_data_source_id}","href":"/reference/v4/knowledge-base-data-sources/get-knowledge-base-data-source"},{"title":"Delete Knowledge Base Data Source","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/knowledge-base-data-sources/{knowledge_base_data_source_id}","href":"/reference/v4/knowledge-base-data-sources/delete-knowledge-base-data-source"},{"title":"Update Knowledge Base Data Source","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/knowledge-base-data-sources/{knowledge_base_data_source_id}","href":"/reference/v4/knowledge-base-data-sources/update-knowledge-base-data-source"}]},{"group":"Model Templates V3 (Beta)","pages":[{"title":"List Model Templates","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/model-templates","href":"/reference/v4/model-templates-v3-beta/list-model-templates"},{"title":"Create Model Template","description":"### Description\nCreates a model template.\n\n### Details\n\nModel templates serve 2 purposes. First, they provide common scaffolding that is static across multiple models. Second, they expose several variables that can be injected at model creation time to customize the model.\n\nFor example, a model template can define a docker image that contains code to run a HuggingFace or SentenceTransformers model. This docker image code also accepts environment variables that can be set to swap out the model weights or model name.\n\nTwo of the most important fields required to create a model template are the `model_creation_parameters_schema` and `model_request_parameters_schema` fields.\n\nThe `model_creation_parameters_schema` field defines the schema for parameters that can be injected at model creation time. For example, if the schema contains a `model_weights_uri` field, which expects a string, when a model is created from this template, the user can provide a URI to a model weights file that can be used to swap out the model weights used by the model.\n\nThe `model_request_parameters_schema` field defines the schema for parameters that can be injected by an end user at model execution time. For example, if the schema contains a `model_request_parameters` field, which expects a string, when a model is executed, the user can provide a string that will be passed to the model for inference.","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/model-templates","href":"/reference/v4/model-templates-v3-beta/create-model-template"},{"title":"Get Model Template","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/model-templates/{model_template_id}","href":"/reference/v4/model-templates-v3-beta/get-model-template"},{"title":"Delete Model Template","description":"### Description\nDeletes a model template\n\n### Details\nThis API can be used to delete a model template by ID. To use this API, pass in the `id` that was returned from your Create Model Template API call as a path parameter.","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/model-templates/{model_template_id}","href":"/reference/v4/model-templates-v3-beta/delete-model-template"}]},{"group":"Model server","pages":[{"title":"Fixed Server interface for Model execution","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/serving/{model_server_id}/execute","href":"/reference/v4/model-server/fixed-server-interface-for-model-execution"},{"title":"Fixed Server interface for async Model execution","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/serving/{model_server_id}/executeAsync","href":"/reference/v4/model-server/fixed-server-interface-for-async-model-execution"},{"title":"Poll Async Inference for result","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/serving/{model_server_id}/pollAsync/{async_task_id}","href":"/reference/v4/model-server/poll-async-inference-for-result"},{"title":"Fixed Server interface for Model execution by named alias","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/serving/a/{alias}/execute","href":"/reference/v4/model-server/fixed-server-interface-for-model-execution-by-named-alias"},{"title":"Fixed Server interface for async Model execution by named alias","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/serving/a/{alias}/executeAsync","href":"/reference/v4/model-server/fixed-server-interface-for-async-model-execution-by-named-alias"},{"title":"Poll Async Inference for result by named alias","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/serving/a/{alias}/pollAsync/{async_task_id}","href":"/reference/v4/model-server/poll-async-inference-for-result-by-named-alias"},{"title":"Create a new Model Server","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/serving","href":"/reference/v4/model-server/create-a-new-model-server"},{"title":"Get current deployment of the Model Server","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/serving/{model_server_id}/deployment","href":"/reference/v4/model-server/get-current-deployment-of-the-model-server"},{"title":"Change backend of the Model Server","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml put /v4/serving/{model_server_id}/backend","href":"/reference/v4/model-server/change-backend-of-the-model-server"},{"title":"Rollback backend of the Model Server","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/serving/{model_server_id}/rollback","href":"/reference/v4/model-server/rollback-backend-of-the-model-server"}]},{"group":"API Reference","pages":[{"title":"Fixed Server interface for Model execution by named alias","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/serving","href":"/reference/v4/fixed-server-interface-for-model-execution-by-named-alias"},{"title":"Fixed Server interface for Model execution by named alias","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/serving/{model_server_id}","href":"/reference/v4/fixed-server-interface-for-model-execution-by-named-alias-1"},{"title":"Delete a Model Server","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/serving/{model_server_id}","href":"/reference/v4/delete-a-model-server"},{"title":"Fixed Server interface for Model execution by named alias","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/serving/a/{alias}","href":"/reference/v4/fixed-server-interface-for-model-execution-by-named-alias-2"}]},{"group":"Fine Tuning Jobs V3 (Beta)","pages":[{"title":"List Fine Tuning Jobs","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/fine-tuning-jobs","href":"/reference/v4/fine-tuning-jobs-v3-beta/list-fine-tuning-jobs"},{"title":"Create Fine Tuning Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/fine-tuning-jobs","href":"/reference/v4/fine-tuning-jobs-v3-beta/create-fine-tuning-job"},{"title":"Get Fine Tuning Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/fine-tuning-jobs/{fine_tuning_job_id}","href":"/reference/v4/fine-tuning-jobs-v3-beta/get-fine-tuning-job"},{"title":"Delete Fine Tuning Job","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/fine-tuning-jobs/{fine_tuning_job_id}","href":"/reference/v4/fine-tuning-jobs-v3-beta/delete-fine-tuning-job"},{"title":"Get fine tuning job events","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/fine-tuning-jobs/{fine_tuning_job_id}/events","href":"/reference/v4/fine-tuning-jobs-v3-beta/get-fine-tuning-job-events"}]},{"group":"Training Datasets V3 (Beta)","pages":[{"title":"List Training Datasets","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/training-datasets","href":"/reference/v4/training-datasets-v3-beta/list-training-datasets"},{"title":"Create Training Dataset","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/training-datasets","href":"/reference/v4/training-datasets-v3-beta/create-training-dataset"},{"title":"Get Training Dataset","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/training-datasets/{training_dataset_id}","href":"/reference/v4/training-datasets-v3-beta/get-training-dataset"},{"title":"Delete Training Dataset","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/training-datasets/{training_dataset_id}","href":"/reference/v4/training-datasets-v3-beta/delete-training-dataset"},{"title":"Get Training Dataset Contents","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/training-datasets/{training_dataset_id}/contents","href":"/reference/v4/training-datasets-v3-beta/get-training-dataset-contents"}]},{"group":"package deployments","pages":[{"title":"Install a deployment packages","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/deployment-packages/{account_id}/install","href":"/reference/v4/package-deployments/install-a-deployment-packages"},{"title":"Copy a deployment package to control plane hook","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/deployment-packages/{account_id}/copy-to-control-plane-hook","href":"/reference/v4/package-deployments/copy-a-deployment-package-to-control-plane-hook"},{"title":"Install a deployment packages","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/deployment-packages/{account_id}/install_async","href":"/reference/v4/package-deployments/install-a-deployment-packages-1"},{"title":"Verify that the prerequisites for installing a specific package version are met","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/deployment-packages/{account_id}/verify-install-prerequisites-met","href":"/reference/v4/package-deployments/verify-that-the-prerequisites-for-installing-a-specific-package-version-are-met"}]},{"group":"Beta","pages":[{"title":"Generate OpenAI chat completion from messages","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/beta/chat/completions","href":"/reference/v4/beta/generate-openai-chat-completion-from-messages"},{"title":"Generate legacy text completion from prompt","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/beta/completions","href":"/reference/v4/beta/generate-legacy-text-completion-from-prompt"},{"title":"List files","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/beta/files","href":"/reference/v4/beta/list-files"},{"title":"Upload file bytes directly","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/beta/files","href":"/reference/v4/beta/upload-file-bytes-directly"},{"title":"Get file metadata","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/beta/files/{file_id}","href":"/reference/v4/beta/get-file-metadata"},{"title":"Delete a file","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/beta/files/{file_id}","href":"/reference/v4/beta/delete-a-file"},{"title":"Update a file","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/beta/files/{file_id}","href":"/reference/v4/beta/update-a-file"},{"title":"Download file content","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/beta/files/{file_id}/content","href":"/reference/v4/beta/download-file-content"}]},{"group":"Applications","pages":[{"title":"List Application Variants","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-variants","href":"/reference/v4/applications/list-application-variants"},{"title":"Create Application Variant","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/application-variants","href":"/reference/v4/applications/create-application-variant"},{"title":"Get Application Variant","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-variants/{application_variant_id}","href":"/reference/v4/applications/get-application-variant"},{"title":"Delete Application Variant","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/application-variants/{application_variant_id}","href":"/reference/v4/applications/delete-application-variant"},{"title":"Update Application Variant","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/application-variants/{application_variant_id}","href":"/reference/v4/applications/update-application-variant"},{"title":"List Application Deployments","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-deployments","href":"/reference/v4/applications/list-application-deployments"},{"title":"Create Application Deployment","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/application-deployments","href":"/reference/v4/applications/create-application-deployment"},{"title":"Get Application Deployment","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-deployments/{application_deployment_id}","href":"/reference/v4/applications/get-application-deployment"},{"title":"Update Application Deployment","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/application-deployments/{application_deployment_id}","href":"/reference/v4/applications/update-application-deployment"},{"title":"List Application Variant Reports","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-variant-reports","href":"/reference/v4/applications/list-application-variant-reports"},{"title":"Create Application Variant Report","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/application-variant-reports","href":"/reference/v4/applications/create-application-variant-report"},{"title":"Get Application Variant Report","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-variant-reports/{application_variant_report_id}","href":"/reference/v4/applications/get-application-variant-report"},{"title":"List Application Test Case Outputs","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-test-case-outputs","href":"/reference/v4/applications/list-application-test-case-outputs"},{"title":"Batch Create Application Test Case Outputs","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/application-test-case-outputs/batch","href":"/reference/v4/applications/batch-create-application-test-case-outputs"},{"title":"Get Application Test Case Output","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-test-case-outputs/{application_test_case_output_id}","href":"/reference/v4/applications/get-application-test-case-output"},{"title":"Create Application With Variant","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/application-with-variant","href":"/reference/v4/applications/create-application-with-variant"},{"title":"Get Application Schemas","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/application-schemas","href":"/reference/v4/applications/get-application-schemas"},{"title":"Process Application","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/applications/process","href":"/reference/v4/applications/process-application"},{"title":"Process Application By Id","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/applications/{application_variant_id}/process","href":"/reference/v4/applications/process-application-by-id"},{"title":"Process Deployed Application For Thread","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/applications/{application_variant_id}/threads/{thread_id}/process","href":"/reference/v4/applications/process-deployed-application-for-thread"},{"title":"Process Application By Alias","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/applications/process/{application_alias}","href":"/reference/v4/applications/process-application-by-alias"},{"title":"Validate Application","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/applications/validate","href":"/reference/v4/applications/validate-application"},{"title":"List Application Threads","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/applications/{application_variant_id}/threads","href":"/reference/v4/applications/list-application-threads"},{"title":"Create New Application Thread","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/applications/{application_variant_id}/threads","href":"/reference/v4/applications/create-new-application-thread"},{"title":"Upload Application Files","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/applications/upload-files","href":"/reference/v4/applications/upload-application-files"},{"title":"Publish Application Variant","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml post /v4/application-variants/{application_variant_id}/publish","href":"/reference/v4/applications/publish-application-variant"}]},{"group":"ChatThreads","pages":[{"title":"Get Thread Messages","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml get /v4/threads/{thread_id}/messages","href":"/reference/v4/chatthreads/get-thread-messages"},{"title":"Delete Chat Thread","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml delete /v4/threads/{thread_id}","href":"/reference/v4/chatthreads/delete-chat-thread"},{"title":"Patch Chat Thread","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/threads/{thread_id}","href":"/reference/v4/chatthreads/patch-chat-thread"},{"title":"Patch Chat Thread Entry","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml patch /v4/threads/{thread_id}/messages/{application_interaction_id}","href":"/reference/v4/chatthreads/patch-chat-thread-entry"},{"title":"Add Feedback To Thread Entry","deprecated":null,"version":null,"openapi":"/openapi/v4.yaml put /v4/threads
[...]
